6.0.0-git
2019-03-21

[#12566] _getSpecialUse() does not set sort_delimiter
Summary _getSpecialUse() does not set sort_delimiter
Queue IMP
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners
Requester thomas.jarosch (at) intra2net (dot) com
Created 2013-08-13 (2046 days ago)
Due
Updated 2013-09-18 (2010 days ago)
Assigned
Resolved 2013-09-18 (2010 days ago)
Milestone
Patch No

History
2013-09-18 21:13:33 Michael Slusarz Comment #5
State ⇒ Resolved
Reply to this comment
We don't use sort_delimiter in IMP 6.2 anymore.
2013-08-15 17:21:42 Michael Slusarz Comment #4 Reply to this comment
This was intentional.  Since special mailboxes are restricted to the
personal namespace, they will all share a delimiter so there should
be no reason to have to manually define one.
I thought the sort_delimiter is needed for the correct hierarchical 
sort order even in the same namespace. As the default delimiter is 
'.' and my server uses '/', that would mess it up.
It shouldn't.  i.e. even if the delimiter is '/', these should still 
be sorted correctly:

Foo
Foo/bar
Foo/bar/baz
Foo2

since '/' > any character/number in sorting.

It's not needed here because we can guarantee that all mailboxes will 
contain the same delimiter (since we don't allow special mailboxes to 
live outside the personal namespace).
2013-08-14 08:10:18 Thomas Jarosch Comment #3 Reply to this comment
This was intentional.  Since special mailboxes are restricted to the 
personal namespace, they will all share a delimiter so there should 
be no reason to have to manually define one.
I thought the sort_delimiter is needed for the correct hierarchical 
sort order even in the same namespace. As the default delimiter is '.' 
and my server uses '/', that would mess it up.

Though I manually changed the default delimiter to '/' in the 
Imap_Client source code to test the effects and the result still 
looked ok to me.

I tried to look at Imap_Client/test/Horde/Imap/Client/SortTest.php but
couldn't find an obvious example/test for the hierarchical sort.

Can you give a short example how this is intended to be used?

Perhaps we can work out a more verbose 'sort_delimiter' phpdoc text
that explains what it is actually doing.

2013-08-13 17:57:31 Michael Slusarz Comment #2 Reply to this comment
This was intentional.  Since special mailboxes are restricted to the 
personal namespace, they will all share a delimiter so there should be 
no reason to have to manually define one.
2013-08-13 09:14:26 Thomas Jarosch Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ _getSpecialUse() does not set sort_delimiter
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hi,

as mentioned on the dev mailinglist, 
imp/lib/Prefs/Special/SpecialMboxes.php::_getSpecialUse()
does not set the 'sort_delimiter'.

This is just a tracking bug so the issue won't get lost.

Thomas

Saved Queries